import scripts._func.disable;

disable(<calculator:crankhandle>);
disable(<calculator:handcrankedgenerator>);
disable(<calculator:algorithmassimilator>);

val zorra = <prodigytech:zorrasteel_ingot>;
val mysticIron = <hwell:mystic_iron_ingot>;

recipes.remove(<calculator:powercube>);
recipes.addShaped(<calculator:powercube>,
[[zorra,mysticIron,zorra],
 [mysticIron,<hwell:soulsteel_ingot>,mysticIron],
 [zorra,mysticIron,zorra]]);

recipes.remove(<calculator:calculator>);
recipes.addShaped(<calculator:calculator>.withTag({}),
[[<hwell:moonstone>,<calculator:calculatorscreen>,<hwell:moonstone>],
 [<prodigytech:circuit_refined>,<calculator:calculatorassembly>,<prodigytech:circuit_refined>],
 [<hwell:smooth_onyx>,<embers:archaic_circuit>,<hwell:smooth_onyx>]]);

val brackish = <hwell:citrinic_stone>;
recipes.remove(<calculator:calculatorassembly>);
recipes.addShaped(<calculator:calculatorassembly>,
[[brackish,<minecraft:stone_button>,brackish],
 [<minecraft:stone_button>,brackish,<minecraft:stone_button>],
 [brackish,<minecraft:stone_button>,brackish]]);

recipes.remove(<calculator:calculatorscreen>);
recipes.addShaped(<calculator:calculatorscreen>,
[[<hwell:moonstone>,<hwell:moonstone>,<hwell:moonstone>],
 [<minecraft:glass>,<minecraft:redstone>,<minecraft:glass>],
 [<hwell:moonstone>,<hwell:moonstone>,<hwell:moonstone>]]);

recipes.remove(<calculator:advancedpowercube>);
recipes.addShaped(<calculator:advancedpowercube>,
[[<calculator:redstoneingot>,<uniquecrops:oldbrick>,<calculator:redstoneingot>],
 [<calculator:enrichedgoldingot>,<calculator:powercube>,<calculator:enrichedgoldingot>],
 [<calculator:redstoneingot>,<uniquecrops:oldbrick>,<calculator:redstoneingot>]]);

recipes.replaceAllOccurences(<calculator:powercube>, <calculator:advancedpowercube>, <calculator:algorithmseparator>);

mods.calculator.scientific.addRecipe(<prodigytech:zorrasteel_raw>,<prodigytech:energion_dust>,<prodigytech:zorrasteel_ingot>);
mods.calculator.scientific.addRecipe(<contenttweaker:mysterious_charcoal>,<sonarcore:reinforceddirtblock>,<hwell:heavy_mesh>*6);
mods.calculator.scientific.addRecipe(<minecraft:iron_ingot>,<prodigytech:energion_dust>,<prodigytech:ferramic_ingot>);
mods.calculator.scientific.addRecipe(<uniquecrops:oldgravel>,<hwell:myst_dust_block>,<forbidden_arcanus:runestone>);
mods.calculator.scientific.addRecipe(<vanillafoodpantry:foodpowder:2>,<calculator:pear>,<forbidden_arcanus:cherrywood_sapling>);
mods.calculator.scientific.addRecipe(<forbidden_arcanus:cherrywood_log>,<ore:treeSapling>,<forbidden_arcanus:cherrywood_sapling>);

mods.calculator.basic.addRecipe(<ore:dustAsh>,<minecraft:stone>,<forbidden_arcanus:dark_stone>);

mods.calculator.algorithmSeparator.addRecipe(<prodigytech:inferno_crystal>,<embers:crystal_ember>,<hwell:dust>);
mods.calculator.algorithmSeparator.addRecipe(<integrateddynamics:menril_log>,<integrateddynamics:crystalized_menril_chunk>,<integrateddynamics:menril_planks>*6);
mods.calculator.algorithmSeparator.addRecipe(<soulus:dust_ender>,<forbidden_arcanus:ender_pearl_fragment>,<hwell:soul_dust>);
mods.calculator.algorithmSeparator.addRecipe(<hwell:locked_light>,<minecraft:glowstone_dust>,<hwell:dust>);

mods.calculator.atomic.removeRecipe(<calculator:weatherstation>*4);
mods.calculator.atomic.addRecipe(<calculator:reinforcedironingot>,<forbidden_arcanus:arcane_crystal>,<calculator:reinforcedironingot>,<calculator:weatherstation>);

recipes.remove(<calculator:algorithmseparator>);
recipes.addShaped(<calculator:algorithmseparator>,
[[<calculator:material:3>,<calculator:advancedpowercube>,<calculator:material:3>],
 [<prodigytech:diamond_dust>,<calculator:stoneseparator>,<prodigytech:diamond_dust>],
 [<calculator:material:3>,<calculator:advancedpowercube>,<calculator:material:3>]]);


recipes.addShaped(<calculator:transferupgrade>,
[[<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>],
 [<calculator:enrichedgold>,<prodigytech:circuit_perfected>,<calculator:enrichedgold>],
 [<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>]]);

recipes.addShaped(<calculator:speedupgrade>*4,
[[<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>],
 [<calculator:enrichedgold>,<prodigytech:circuit_crude>,<calculator:enrichedgold>],
 [<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>]]);

recipes.addShaped(<calculator:energyupgrade>*4,
[[<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>],
 [<calculator:enrichedgold>,<prodigytech:circuit_refined>,<calculator:enrichedgold>],
 [<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>]]);

recipes.addShaped(<calculator:voidupgrade>,
[[<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>],
 [<calculator:enrichedgold>,<embers:archaic_circuit>,<calculator:enrichedgold>],
 [<calculator:atomicbinder>,<calculator:enrichedgold>,<calculator:atomicbinder>]]);

recipes.addShapeless(<calculator:extractionchamber>,[<calculator:extractionchamber>]);

recipes.addShaped(<calculator:pearsapling>,
[[<calculator:pear>],
 [<ore:treeSapling>],
 [<calculator:pear>]]);

recipes.remove(<calculator:precisionchamber>);
<calculator:precisionchamber>.addTooltip(format.red("Disabled for now, extremely problematic on servers"));

recipes.remove(<calculator:fabricationchamber>);
<calculator:fabricationchamber>.addTooltip(format.red("Disabled for now, extremely problematic on servers"));