#loader contenttweaker

import mods.contenttweaker.VanillaFactory;
import mods.contenttweaker.Item;
import mods.contenttweaker.Fluid;
import mods.contenttweaker.Color;
import mods.contenttweaker.Block;

//=====Blocks=====
var meBlock = VanillaFactory.createBlock("me_block", <blockmaterial:ground>);
meBlock.register();

var cadmiumBlock = VanillaFactory.createBlock("cadmium_block", <blockmaterial:ground>);
cadmiumBlock.register();

//=====Items=====
var pinkCompositeDust = VanillaFactory.createItem("pink_composite_dust");
pinkCompositeDust.register();

var rawPinkComposite = VanillaFactory.createItem("raw_pink_composite");
rawPinkComposite.register();

var pinkCompositeBrick = VanillaFactory.createItem("pink_composite_brick");
pinkCompositeBrick.register();

var mysteriousCharcoal = VanillaFactory.createItem("mysterious_charcoal");
mysteriousCharcoal.register();

var golemCorpse = VanillaFactory.createItem("golem_corpse");
golemCorpse.register();

var golemMeal = VanillaFactory.createItem("golem_meal");
golemMeal.register();

var fondMemories = VanillaFactory.createItem("fond_memories");
fondMemories.register();

var friendDust = VanillaFactory.createItem("friend_dust");
friendDust.register();

var friendMemories = VanillaFactory.createItem("friend_memories");
friendMemories.register();

var spriteGuardianHeart = VanillaFactory.createItem("sprite_guardian_heart");
spriteGuardianHeart.glowing = true;
spriteGuardianHeart.register();

var greaterSpriteHeart = VanillaFactory.createItem("greater_sprite_heart");
greaterSpriteHeart.glowing = true;
greaterSpriteHeart.register();

var pharaohHeart = VanillaFactory.createItem("pharaoh_heart");
pharaohHeart.glowing = true;
pharaohHeart.register();

var volcano = VanillaFactory.createItem("volcano");
volcano.glowing = true;
volcano.register();

//=====Fluids=====
var archaeum = VanillaFactory.createFluid("archaeum", Color.fromHex("775846"));
archaeum.register();

