val pinkBrick = <contenttweaker:pink_composite_brick>;
val ferramic = <prodigytech:ferramic_ingot>;
val infernoCrystal = <prodigytech:inferno_crystal>;

recipes.remove(<prodigytech:magmatic_aeroheater>);
recipes.addShaped(<prodigytech:magmatic_aeroheater>,
[[pinkBrick,<minecraft:magma_cream>,pinkBrick],
 [pinkBrick,<hwell:crystal>,pinkBrick],
 [<minecraft:stone_slab>,<minecraft:magma_cream>,<minecraft:stone_slab>]]);

recipes.addShaped(<prodigytech:magmatic_aeroheater>,
[[ferramic,<minecraft:magma_cream>,ferramic],
 [ferramic,<hwell:crystal>,ferramic],
 [<minecraft:stone_slab>,<minecraft:magma_cream>,<minecraft:stone_slab>]]);


val grindingWheel = <hwell:grinding_wheel_crystal>;

recipes.remove(<prodigytech:rotary_grinder>);
recipes.addShaped(<prodigytech:rotary_grinder>,
[[pinkBrick,pinkBrick,pinkBrick],
 [grindingWheel,grindingWheel,grindingWheel],
 [pinkBrick,null,pinkBrick]]);

 recipes.addShaped(<prodigytech:rotary_grinder>,
[[ferramic,ferramic,ferramic],
 [grindingWheel,grindingWheel,grindingWheel],
 [ferramic,null,ferramic]]);


//addRecipe(IItemStack/IOreDictEntry in, IItemStack out, @Optional int time)
mods.prodigytech.rotarygrinder.addRecipe(<cannibalism:playerflesh>,<minecraft:dye:15>*6);
mods.prodigytech.rotarygrinder.addRecipe(<combustfish:bone_fish>,<minecraft:dye:15>*8);
mods.prodigytech.rotarygrinder.addRecipe(<minecraft:coal:1>,<prodigytech:coal_dust>);
mods.prodigytech.rotarygrinder.addRecipe(<hwell:myst_rod>,<hwell:myst_dust>*4);
mods.prodigytech.rotarygrinder.addRecipe(<minecraft:red_flower>,<minecraft:dye:1>*2);
mods.prodigytech.rotarygrinder.addRecipe(<minecraft:yellow_flower>,<minecraft:dye:11>*2);
mods.prodigytech.rotarygrinder.addRecipe(<evilcraft:dark_gem>,<evilcraft:dark_gem_crushed>);
mods.prodigytech.rotarygrinder.addRecipe(<forbidden_arcanus:arcane_crystal>,<forbidden_arcanus:arcane_crystal_dust>*2);
mods.prodigytech.rotarygrinder.addRecipe(<morecharcoal:charcoal_block>,<prodigytech:coal_dust>*9);

recipes.addShaped(<prodigytech:air_funnel>*4,
[[pinkBrick,null,pinkBrick],
 [pinkBrick,null,pinkBrick],
 [pinkBrick,null,pinkBrick]]);

recipes.remove(<prodigytech:solid_fuel_aeroheater>);
recipes.addShaped(<prodigytech:solid_fuel_aeroheater>,
[[pinkBrick,<hwell:asul_block>,pinkBrick],
 [pinkBrick,<hwell:crystal>,pinkBrick],
 [pinkBrick,<hwell:asul_block>,pinkBrick]]);

recipes.addShaped(<prodigytech:solid_fuel_aeroheater>,
[[ferramic,<hwell:asul_block>,ferramic],
 [ferramic,<hwell:crystal>,ferramic],
 [ferramic,<hwell:asul_block>,ferramic]]);

recipes.remove(<prodigytech:blower_furnace>);
recipes.addShaped(<prodigytech:blower_furnace>,
[[pinkBrick,pinkBrick,pinkBrick],
 [pinkBrick,<minecraft:furnace>,pinkBrick],
 [pinkBrick,pinkBrick,pinkBrick]]);

recipes.addShaped(<prodigytech:blower_furnace>,
[[ferramic,ferramic,ferramic],
 [ferramic,<minecraft:furnace>,ferramic],
 [ferramic,ferramic,ferramic]]);

recipes.remove(<prodigytech:incinerator>);
recipes.addShaped(<prodigytech:incinerator>,
[[pinkBrick,null,pinkBrick],
 [pinkBrick,<minecraft:flint>,pinkBrick],
 [pinkBrick,<minecraft:dirt>,pinkBrick]]);

recipes.addShaped(<prodigytech:incinerator>,
[[ferramic,null,ferramic],
 [ferramic,<minecraft:flint>,ferramic],
 [ferramic,<minecraft:dirt>,ferramic]]);

recipes.remove(<prodigytech:solderer>);
recipes.addShaped(<prodigytech:solderer>,
[[ferramic,<hwell:crystal_nether>,ferramic],
 [ferramic,null,ferramic],
 [ferramic,<prodigytech:carbon_plate>,ferramic]]);

mods.prodigytech.atomicreshaper.removeRecipe(<ore:stone>);
mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:stone>,10,140,
[<minecraft:iron_ore>,<minecraft:gold_ore>,<minecraft:lapis_ore>,
 <evilcraft:dark_ore>,<embers:ore_lead>,<minecraft:redstone_ore>,
<minecraft:diamond_ore>,<minecraft:emerald_ore>],
[40,15,10,
 10,5,10,
 5,5]);

mods.prodigytech.atomicreshaper.removeRecipe(<ore:sand>);
mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:sand>,2,140,[<minecraft:dirt>],[100]);
mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:sand:1>,2,140,[<soulus:fossil_sand_red_scale>,<soulus:fossil_sand_red_dry>],[50,50]);
mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:end_stone>,2,140,[<soulus:fossil_end_stone>],[100]);
mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:netherrack>,2,140,[<soulus:fossil_netherrack>,<minecraft:quartz_ore>],[50,50]);


mods.prodigytech.atomicreshaper.addRecipeMulti(<minecraft:dirt:1>,10,140,
[<soulus:fossil_dirt>,<soulus:fossil_dirt_frozen>,<soulus:fossil_dirt_fungal>,<soulus:fossil_dirt_ender>],
[40,20,20,20]);

recipes.remove(<prodigytech:energion_aeroheater>);
recipes.addShaped(<prodigytech:energion_aeroheater>,
[[ferramic,null,ferramic],
 [infernoCrystal,<prodigytech:circuit_crude>,infernoCrystal],
 [ferramic,<minecraft:furnace>,ferramic]]);

recipes.addShaped(<prodigytech:linear_extractor>,
[[pinkBrick,null,pinkBrick],
 [pinkBrick,pinkBrick,pinkBrick],
 [null,pinkBrick,null]]);

val flintCutter = <vanillafoodpantry:flint_cutter:16>.noReturn();
recipes.remove(<prodigytech:heat_sawmill>);
recipes.addShaped(<prodigytech:heat_sawmill>,
[[pinkBrick,pinkBrick,pinkBrick],
 [flintCutter,flintCutter,flintCutter],
 [pinkBrick,null,pinkBrick]]);

 recipes.addShaped(<prodigytech:heat_sawmill>,
[[ferramic,ferramic,ferramic],
 [flintCutter,flintCutter,flintCutter],
 [ferramic,null,ferramic]]);


//mods.prodigytech.heatsawmill.addRecipe(IItemStack/IOreDictEntry in, IItemStack out, @Optional int time)
//...						   addRecipe(IItemStack/IOreDictEntry in, IItemStack out, IItemStack sec, @Optional int time)
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log>,<minecraft:planks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log:1>,<minecraft:planks:1>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log:2>,<minecraft:planks:2>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log:3>,<minecraft:planks:3>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log2>,<minecraft:planks:4>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<minecraft:log2:1>,<minecraft:planks:5>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<evilcraft:undead_log>,<evilcraft:undead_plank>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<hwell:myst_log>,<hwell:myst_planks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<integrateddynamics:menril_log>,<integrateddynamics:menril_planks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<prodigytech:zorra_log>,<prodigytech:zorra_planks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<calculator:amethystlog>,<calculator:amethystplanks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<calculator:tanzanitelog>,<calculator:tanzaniteplanks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<calculator:pearlog>,<calculator:pearplanks>*6,<prodigytech:sawdust>);
mods.prodigytech.heatsawmill.addRecipe(<calculator:diamondlog>,<calculator:diamondplanks>*6,<prodigytech:sawdust>);

mods.prodigytech.primordialisreactor.addInput(<vanillafoodpantry:oak_acorn>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seednormal>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedartisia>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedwafflonia>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedcollis>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedwafflonia>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedinvisibilia>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedmerlinia>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedinstabilis>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedpixelsius>);
mods.prodigytech.primordialisreactor.addInput(<minecraft:red_flower>);
mods.prodigytech.primordialisreactor.addInput(<minecraft:yellow_flower>);
mods.prodigytech.primordialisreactor.addInput(<soulus:bark>);
mods.prodigytech.primordialisreactor.addInput(<prodigytech:zorra_leaf>);
mods.prodigytech.primordialisreactor.addInput(<integrateddynamics:menril_berries>);
mods.prodigytech.primordialisreactor.addInput(<calculator:pear>);
mods.prodigytech.primordialisreactor.addInput(<calculator:rottenpear>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedenderlily>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:generic:5>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:generic:23>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:seedeula>);
mods.prodigytech.primordialisreactor.addInput(<uniquecrops:generic:26>);






recipes.remove(<prodigytech:energion_dust>);
recipes.addShapeless(<prodigytech:energion_dust>*2,
[<prodigytech:diamond_dust>,<prodigytech:emerald_dust>,<prodigytech:quartz_dust>,
<prodigytech:quartz_dust>,<prodigytech:quartz_dust>,<prodigytech:quartz_dust>,
<minecraft:sand>]);

recipes.addShapeless(<prodigytech:zorra_sapling>,
[<ore:treeSapling>,<prodigytech:zorra_leaf>,<prodigytech:zorra_leaf>,<prodigytech:zorra_leaf>]);

<prodigytech:coal_dust>.displayName = "Carbon Dust";
<prodigytech:ash>.addTooltip("Create by placing anything in the Incinerator");