import scripts._func.disable;


//disable(<alchemistry:electrolyzer>);
//disable(<alchemistry:fission_controller>);
//disable(<alchemistry:fusion_controller>);

recipes.remove(<alchemistry:chemical_combiner>);
recipes.remove(<alchemistry:chemical_dissolver>);

recipes.addShaped(<alchemistry:chemical_combiner>,
[[<ore:ingotNiobium>,<hwell:stabiliser_heavy>,<ore:ingotNiobium>],
 [<hwell:mystic_iron_block>,<forbidden_arcanus:runic_tenebris_frame>,<hwell:mystic_iron_block>],
 [<ore:ingotNiobium>,<hwell:mystic_iron_block>,<ore:ingotNiobium>]]);

recipes.addShaped(<alchemistry:chemical_dissolver>,
[[<ore:ingotNiobium>,<calculator:material:9>,<ore:ingotNiobium>],
 [<calculator:material:9>,<forbidden_arcanus:runic_tenebris_frame>,<calculator:material:9>],
 [<ore:ingotNiobium>,<hwell:stabiliser_heavy>,<ore:ingotNiobium>]]);

mods.alchemistry.Dissolver.removeRecipe(<minecraft:dye:10>);

recipes.remove(<alchemistry:evaporator>);
recipes.addShaped(<alchemistry:evaporator>,
[[<prodigytech:zorrasteel_ingot>,null,<prodigytech:zorrasteel_ingot>],
 [<prodigytech:zorrasteel_ingot>,null,<prodigytech:zorrasteel_ingot>],
 [<forbidden_arcanus:obsidian_ingot>,<prodigytech:zorrasteel_ingot>,<forbidden_arcanus:obsidian_ingot>]]);

val phos = mods.alchemistry.Util.get("phosphorus");
val dysprosium = mods.alchemistry.Util.get("dysprosium");
val iron = mods.alchemistry.Util.get("iron");
val gold = mods.alchemistry.Util.get("carbon");
val carbon = mods.alchemistry.Util.get("carbon");
val silver = mods.alchemistry.Util.get("silver");
val platinum = mods.alchemistry.Util.get("platinum");
val strontiumCarbonate = mods.alchemistry.Util.get("strontium carbonate");
val vanadium = mods.alchemistry.Util.get("vanadium");
val beryl = mods.alchemistry.Util.get("beryl");
val chromium = mods.alchemistry.Util.get("chromium");
val ironOxide = mods.alchemistry.Util.get("iron oxide");
val potassiumPermanganate = mods.alchemistry.Util.get("potassium permanganate");
mods.alchemistry.Dissolver.addRecipe(<prodigytech:energion_dust>, false, 1,
[[100.0, phos*2],
 [35.0, dysprosium]]);

recipes.replaceAllOccurences(<minecraft:ender_pearl>,<uniquecrops:darkblock>,<alchemistry:fusion_casing>);

mods.alchemistry.Dissolver.removeRecipe(<minecraft:end_stone>);
mods.alchemistry.Dissolver.addRecipe(<minecraft:end_stone>, true, 1, 
[[30.0, <alchemistry:element:80>], 
[5.0, <alchemistry:element:60>], 
[20.0, <alchemistry:element:3>], 
[55.0, <alchemistry:element:90>]]);



mods.alchemistry.Dissolver.addRecipe(<atum:camel_diamond_armor>, true, 1, 
[[100.0, carbon * 1024]]);

mods.alchemistry.Dissolver.addRecipe(<atum:desert_wolf_diamond_armor>, true, 1, 
[[100.0, carbon * 1024]]);

mods.alchemistry.Dissolver.addRecipe(<atum:camel_gold_armor>, true, 1, 
[[100.0, gold * 64]]);

mods.alchemistry.Dissolver.addRecipe(<atum:desert_wolf_gold_armor>, true, 1, 
[[100.0, gold * 64]]);

mods.alchemistry.Dissolver.addRecipe(<atum:camel_iron_armor>, true, 1, 
[[100.0, iron * 64]]);

mods.alchemistry.Dissolver.addRecipe(<atum:desert_wolf_iron_armor>, true, 1, 
[[100.0, iron * 64]]);



//Silver Artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_silver_broach>,false,2,
[[80.0, silver * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_silver_ring>,false,2,
[[80.0, silver * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_silver_necklace>,false,3,
[[80.0, silver * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_silver_scepter>,false,4,
[[80.0, silver * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_silver_idol>,false,5,
[[80.0, silver * 8]]);

//Gold Artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_gold_broach>,false,2,
[[80.0, gold * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_gold_ring>,false,2,
[[80.0, gold * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_gold_necklace>,false,3,
[[80.0, gold * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_gold_scepter>,false,4,
[[80.0, gold * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_gold_idol>,false,5,
[[80.0, gold * 8]]);

//Sapphire Artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_sapphire_broach>,false,2,
[[80.0, potassiumPermanganate * 8],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_sapphire_ring>,false,2,
[[80.0, potassiumPermanganate * 8],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_sapphire_necklace>,false,3,
[[80.0, potassiumPermanganate * 8],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_sapphire_scepter>,false,4,
[[80.0, potassiumPermanganate * 8],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_sapphire_idol>,false,5,
[[80.0, potassiumPermanganate * 8],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

//Ruby artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_ruby_broach>,false,2,
[[80.0, ironOxide * 5],
 [80.0, strontiumCarbonate * 5],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_ruby_ring>,false,2,
[[80.0, ironOxide * 5],
 [80.0, strontiumCarbonate * 5],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_ruby_necklace>,false,3,
[[80.0, ironOxide * 5],
 [80.0, strontiumCarbonate * 5],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_ruby_scepter>,false,4,
[[80.0, ironOxide * 5],
 [80.0, strontiumCarbonate * 5],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_ruby_idol>,false,5,
[[80.0, ironOxide * 5],
 [80.0, strontiumCarbonate * 5],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

 //Emerald artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_emerald_broach>,false,2,
[[100.0, beryl * 4],
 [100.0, chromium * 4],
 [100.0, vanadium * 2],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_emerald_ring>,false,2,
[[100.0, beryl * 4],
 [100.0, chromium * 4],
 [100.0, vanadium * 2],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_emerald_necklace>,false,3,
[[100.0, beryl * 4],
 [100.0, chromium * 4],
 [100.0, vanadium * 2],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_emerald_scepter>,false,4,
[[100.0, beryl * 4],
 [100.0, chromium * 4],
 [100.0, vanadium * 2],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_emerald_idol>,false,5,
[[100.0, beryl * 4],
 [100.0, chromium * 4],
 [100.0, vanadium * 2],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);


 //Diamond artifacts
mods.alchemistry.Dissolver.addRecipe(<atum:loot_diamond_broach>,false,2,
[[40.0, carbon * 16],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);

mods.alchemistry.Dissolver.addRecipe(<atum:loot_diamond_ring>,false,2,
[[40.0, carbon * 16],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);


mods.alchemistry.Dissolver.addRecipe(<atum:loot_diamond_necklace>,false,3,
[[40.0, carbon * 16],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);


mods.alchemistry.Dissolver.addRecipe(<atum:loot_diamond_scepter>,false,4,
[[40.0, carbon * 16],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);


mods.alchemistry.Dissolver.addRecipe(<atum:loot_diamond_idol>,false,5,
[[40.0, carbon * 16],
 [40.0, silver * 8],
 [40.0, gold * 8],
 [40.0, platinum * 8]]);