import scripts._func.disable;
import mods.hwell.addRepairingPasteRecipe;

val heavyIngot = <hwell:heavy_ingot>;
val crystal = <hwell:crystal>;
val mystDust = <hwell:myst_dust>;
val stoneDust = <hwell:dust>;

disable(<hwell:producer>);
disable(<hwell:precision_grinder_empty>);
disable(<hwell:loot_blaze>);
disable(<hwell:loot_creeper>);
disable(<hwell:loot_enderman>);
disable(<hwell:loot_ghast>);
disable(<hwell:loot_shulker>);
disable(<hwell:loot_skeleton>);
disable(<hwell:loot_slime>);
disable(<hwell:loot_spider>);
disable(<hwell:loot_witch>);
disable(<hwell:loot_wither>);
disable(<hwell:loot_zombie>);
disable(<hwell:loot_guardian>);

disable(<hwell:inert_seed>);

recipes.remove(<hwell:heavy_mesh>);
recipes.addShapeless(<hwell:heavy_mesh>,[<minecraft:stone>,<ore:charcoal>,<minecraft:dirt>]);

furnace.remove(<hwell:heavy_ingot>); //original recipe gives 2 outputs per input, I want 1:1
furnace.addRecipe(heavyIngot,<hwell:heavy_mesh>);

recipes.remove(<hwell:furnace_tube>);
recipes.addShaped(<hwell:furnace_tube>,
[[heavyIngot,<ore:blockGlass>,heavyIngot],
 [heavyIngot,<ore:blockGlass>,heavyIngot],
 [heavyIngot,<ore:blockGlass>,heavyIngot]]);

recipes.remove(<hwell:grinding_wheel_crystal>);
recipes.addShaped(<hwell:grinding_wheel_crystal>,
[[crystal,crystal,crystal],
 [crystal,null,crystal],
 [crystal,crystal,crystal]]);

//mods.hwell.addCrushingBlockRecipe(IItemStack input, IItemStack[] outputs, double[] probabilities)
mods.hwell.addCrushingBlockRecipe(<minecraft:glass>,[<minecraft:sand>],[1.0]);
mods.hwell.addCrushingBlockRecipe(<contenttweaker:golem_corpse>,[<contenttweaker:golem_meal>],[1.0]);
mods.hwell.addCrushingBlockRecipe(<botania:tinypotato>,[<contenttweaker:friend_dust>],[1.0]);
mods.hwell.addCrushingBlockRecipe(<forbidden_arcanus:arcane_crystal>,[<forbidden_arcanus:arcane_crystal_dust>*2],[1.0]);

recipes.remove(<hwell:leaf_mesh>);
recipes.addShaped(<hwell:leaf_mesh>,
[[stoneDust,<uniquecrops:democord>,stoneDust],
 [<hwell:myst_fertilizer>,mystDust,<hwell:myst_fertilizer>],
 [stoneDust,<uniquecrops:democord>,stoneDust]]);

 recipes.addShaped(<hwell:leaf_mesh>,
[[stoneDust,<minecraft:gunpowder>,stoneDust],
 [<hwell:myst_fertilizer>,mystDust,<hwell:myst_fertilizer>],
 [stoneDust,<minecraft:gunpowder>,stoneDust]]);

recipes.remove(<hwell:core_stone>);
recipes.addShaped(<hwell:core_stone>,
[[<minecraft:stone>,<minecraft:stone>,<minecraft:stone>],
 [<minecraft:gravel>,<hwell:heavy_ingot>,<minecraft:gravel>],
 [<minecraft:stone>,<minecraft:stone>,<minecraft:stone>]]);

recipes.remove(<hwell:obsidian_displacer>);
recipes.addShaped(<hwell:obsidian_displacer>,
[[<hwell:crystal>,null,null],
 [null,<hwell:mystic_iron_ingot>,null],
 [null,null,<hwell:mystic_iron_ingot>]]);

mods.hwell.addCrushingBlockRecipe(<vanillafoodpantry:red_flint>,[<minecraft:gunpowder>],[1.0]);


recipes.remove(<hwell:freezer>);
recipes.addShaped(<hwell:freezer>,
[[<hwell:shard_ca>,<hwell:smooth_azurite>,<hwell:shard_ca>],
 [<hwell:smooth_azurite>,<minecraft:hardened_clay>,<hwell:smooth_azurite>],
 [<hwell:asul_ingot>,<hwell:asul_machine_case>,<hwell:asul_ingot>]]);

recipes.addShapeless(<minecraft:deadbush>,[<hwell:heavy_shears:*>.transformDamage(),<ore:treeSapling>]);

addRepairingPasteRecipe(<prodigytech:crystal_cutter:*>);
addRepairingPasteRecipe(<hwell:heavy_shears:*>);
addRepairingPasteRecipe(<soulus:sledgehammer:*>);





recipes.replaceAllOccurences(<hwell:crystal>,<evilcraft:garmonbozia>,<hwell:seed_of_the_end>);

recipes.replaceAllOccurences(<hwell:soulsteel_ingot>,<botania:manaresource:7>,<hwell:puller>);

<ore:dustSalt>.add(<hwell:salt>);
<ore:portionSalt>.add(<hwell:salt>);
<ore:ingredientSalt>.add(<hwell:salt>);